// (c) 2008, Andrew V. Sichevoi
// http://thekondor.net/conler

/* FEATURE:
 *   if 'stock-id' is 0 and 'activate' signal is emitted,
 *   handlers are NOT called,
 *   only MOUSE events are handled to emit the signal
 */

#ifndef _CONLER_CELL_RENDERER_PIXBUF_H
#define _CONLER_CELL_RENDERER_PIXBUF_H

#include <gtk/gtkcellrendererpixbuf.h>

G_BEGIN_DECLS

#define TYPE_CELL_RENDERER_PIXBUF           (cell_renderer_pixbuf_get_type())
#define CELL_RENDERER_PIXBUF(obj)           (G_TYPE_CHECK_INSTANCE_CAST((obj),\
                                             TYPE_CELL_RENDERER_PIXBUF,\
                                             CellRendererPixbuf))
#define CELL_RENDERER_PIXBUF_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST((klass),\
                                             TYPE_CELL_RENDERER_PIXBUF,\
                                             CellRendererPixbufClass))
#define IS_CELL_RENDERER_PIXBUF(obj)        (G_TYPE_CHECK_INSTANCE_TYPE((obj),\
                                             TYPE_CELL_RENDERER_PIXBUF))
#define IS_CELL_RENDERER_PIXBUF_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),\
                                              TYPE_CELL_RENDERER_PIXBUF))
#define CELL_RENDERER_PIXBUF_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),\
                                              TYPE_CELL_RENDERER_PIXBUF,\
                                              CellRendererPixbufClass))
                                                 


typedef struct _CellRendererPixbuf CellRendererPixbuf;
typedef struct _CellRendererPixbufClass CellRendererPixbufClass;


struct _CellRendererPixbuf
{
    GtkCellRendererPixbuf parent;
};

struct _CellRendererPixbufClass
{
    GtkCellRendererPixbufClass parent_class;
    void (* activate)(CellRendererPixbuf* cell, const gchar* path);
};


GType                     cell_renderer_pixbuf_get_type(void);
GtkCellRenderer*          cell_renderer_pixbuf_new(void);


G_END_DECLS

#endif

